commit:     470f9c05bfa49199f15b8f7756ad67be26fd4617
Author:     Mike Frysinger <vapier <AT> chromium <DOT> org>
AuthorDate: Tue Jan 30 08:22:32 2018 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Jan 30 08:23:17 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=470f9c05

app-benchmarks/bootchart2: version bump to 0.14.8

 app-benchmarks/bootchart2/Manifest                 |  1 +
 app-benchmarks/bootchart2/bootchart2-0.14.8.ebuild | 78 ++++++++++++++++++++++
 .../files/bootchart2-0.14.7-sysmacros.patch        |  1 +
 3 files changed, 80 insertions(+)

diff --git a/app-benchmarks/bootchart2/Manifest 
b/app-benchmarks/bootchart2/Manifest
index 152810057b9..c1474b95b81 100644
--- a/app-benchmarks/bootchart2/Manifest
+++ b/app-benchmarks/bootchart2/Manifest
@@ -1 +1,2 @@
 DIST bootchart2-0.14.7.tar.gz 1175145 BLAKE2B 
dfe56572eb2f85b68e0ad871c939ef16c48b0ee11ca881f03914d6773b86050091b232d80706f0df1d094c2e069c252609a0266d1cfa5159a6a0916321ea1dcf
 SHA512 
82074a6ca6725a1b9ffe2a5d7f7bc6fd7918ab837573c23f75e7ebf209f30284ac7e59d2e84768ed313e4cee80da8e67dde167881d907fe71eff376ae9d16541
+DIST bootchart2-0.14.8.tar.gz 1175527 BLAKE2B 
623ca2269420eda79b09d955ab9d4a37af004e9e97ad0e0c6014e53b4b0c63239661cb5359345306504980b060ccd11488970cb0aa3d832bfb55392724e715dd
 SHA512 
58303db91d22ccc44c0dc765e7a6672fb277840555fd87ce64b8987cba85250cfe3db17f3ec7e0e1e726ad59166a5d3d01a7a262c07b5690c595877b46c66bd0

diff --git a/app-benchmarks/bootchart2/bootchart2-0.14.8.ebuild 
b/app-benchmarks/bootchart2/bootchart2-0.14.8.ebuild
new file mode 100644
index 00000000000..d31698dcc3b
--- /dev/null
+++ b/app-benchmarks/bootchart2/bootchart2-0.14.8.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit linux-info python-r1 systemd toolchain-funcs
+
+DESCRIPTION="Performance analysis and visualization of the system boot process"
+HOMEPAGE="https://github.com/mmeeks/bootchart/";
+SRC_URI="https://github.com/mmeeks/bootchart/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+IUSE="svg test X"
+
+REQUIRED_USE="
+       X? ( ${PYTHON_REQUIRED_USE} )
+       test? ( X )"
+
+RDEPEND="
+       !app-benchmarks/bootchart
+       X? (
+               dev-python/pycairo[svg(+)?,${PYTHON_USEDEP}]
+               dev-python/pygtk[$(python_gen_usedep 'python2*')]
+               ${PYTHON_DEPS}
+       )
+       sys-apps/lsb-release"
+DEPEND="${PYTHON_DEPS}"
+
+S="${WORKDIR}"/${PN%2}-${PV}
+
+CONFIG_CHECK="~PROC_EVENTS ~TASKSTATS ~TASK_DELAY_ACCT ~TMPFS"
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-0.14.7-sysmacros.patch #579922
+       tc-export CC
+       sed -i \
+               -e "/^install/s:py-install-compile::g" \
+               -e "/^SYSTEMD_UNIT_DIR/s:=.*:= $(systemd_get_unitdir):g" \
+               Makefile || die
+       sed -i \
+               -e '/^EXIT_PROC/s:^.*$:EXIT_PROC="agetty mgetty mingetty:g' \
+               bootchartd.conf bootchartd.in || die
+}
+
+src_test() {
+       python_foreach_impl emake test
+}
+
+src_install() {
+       export DOCDIR=/usr/share/doc/${PF}
+       default
+
+       # Note: LIBDIR is hardcoded as /lib in collector/common.h, so we 
shouldn't
+       # just change it. Since no libraries are installed, /lib is fine.
+       keepdir /lib/bootchart/tmpfs
+
+       installation() {
+               python_domodule pybootchartgui
+
+               python_newscript pybootchartgui.py pybootchartgui
+       }
+       use X && python_foreach_impl installation
+
+       newinitd "${FILESDIR}"/${PN}.init ${PN}
+
+}
+
+pkg_postinst() {
+       elog "If you are using an initrd during boot"
+       echo
+       elog "please add the init script to your default runlevel"
+       elog "rc-update add bootchart2 default"
+       echo
+}

diff --git a/app-benchmarks/bootchart2/files/bootchart2-0.14.7-sysmacros.patch 
b/app-benchmarks/bootchart2/files/bootchart2-0.14.7-sysmacros.patch
index de6e4112b68..48cf685c0ca 100644
--- a/app-benchmarks/bootchart2/files/bootchart2-0.14.7-sysmacros.patch
+++ b/app-benchmarks/bootchart2/files/bootchart2-0.14.7-sysmacros.patch
@@ -1,4 +1,5 @@
 https://bugs.gentoo.org/579922
+https://github.com/xrmx/bootchart/commit/add58c3b57064afd6f7d2fd5f09006d28a3e770e
 
 From add58c3b57064afd6f7d2fd5f09006d28a3e770e Mon Sep 17 00:00:00 2001
 From: Mike Frysinger <[email protected]>

Reply via email to